package com.planet.idfadevice.ui.setting;


import com.common.app.base.BaseAbstractWebViewActivity;
import com.common.app.databinding.ViewToolbarBinding;
import com.common.app.databinding.ViewWebviewBinding;
import com.common.app.ui.bar.ToolBarTop;
import com.planet.rmu.rfid.R;

public class AboutUsActivity extends BaseAbstractWebViewActivity<ViewWebviewBinding> {
    private ToolBarTop mToolBarTop;

    @Override
    protected int getTopbarViewId() {
        return R.layout.view_toolbar;
    }

    @Override
    protected void initView() {
        super.initView();
        mToolBarTop = ((ViewToolbarBinding) getTopbarViewBinding()).toolbarTop;
        mToolBarTop.setLeftBack(mActivity);
        mToolBarTop.setTitle(R.string.about_us);
    }

    @Override
    protected void loadData() {
        mWvContent.loadUrl("file:///android_asset/about_us.html");
    }

}
