package com.planet.rmu.rfid.ui.setting;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import com.common.app.base.BaseDataBindingFragment;
import com.common.app.global.GlobalBroadcastActionName;
import com.common.framework.util.BroadcastReceiverUtil;
import com.planet.rmu.rfid.BuildConfig;
import com.planet.rmu.rfid.R;
import com.planet.rmu.rfid.databinding.FragmentSettingBinding;

/**
 *
 */
public class SettingFragment extends BaseDataBindingFragment<FragmentSettingBinding> implements View.OnClickListener {


    @Override
    protected int getContentViewId() {
        return R.layout.fragment_setting;
    }

    @Override
    protected int getTopbarViewId() {
        return 0;
    }

    @Override
    protected void initParams(Bundle savedInstanceState) {

    }

    @Override
    protected void initView(View view) {


//        String account = SharedPrefsUserInfo.getInstance().getAccount();
//        getContentViewBinding().tvNickname.setText("" + account);
        getContentViewBinding().setVersion("V" + BuildConfig.VERSION_NAME);
        getContentViewBinding().setClickListener(this);

        BroadcastReceiverUtil.registerLocalBroadcastReceiver(mBroadcastReceiver, GlobalBroadcastActionName.LOAD_SUCCESS);
    }

    @Override
    protected void loadData() {

    }


    @Override
    public void onClick(View v) {

    }

    @Override
    public void onDestroyView() {
        BroadcastReceiverUtil.unRegisterLocalBroadcastReceiver(mBroadcastReceiver);
        super.onDestroyView();
    }

    BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        @Override
        public void onReceive(Context context, Intent intent) {

        }
    };


}
