package com.planet.rmu.rfid.utils;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;

import com.common.app.data.sharedpreferences.SharedPrefsSetting;
import com.common.app.data.sharedpreferences.SharedPrefsUserInfo;


/**
 * 用户相关的工具类
 * <p/>
 * Created by chenhongfei on 2016/2/19.
 */
public class UserUtil {

    public static void logoutClearCache(Context context) {
        SharedPrefsUserInfo.getInstance().clearUserInfo();
        SharedPrefsSetting.getInstance().clearData();


        clearFileCache();
    }

    private static void clearFileCache() {
//        DeviceUtils.deleteDeviceReadFile();
//        DeviceUtils.deleteDeviceCheckFile();
//        DeviceUtils.deleteInventoryReadFile();
//        DeviceUtils.deleteFixFile();
    }




    public static void saveLoginInfo(String account, String userId) {
        if (!TextUtils.isEmpty(account)) {
            SharedPrefsUserInfo.getInstance().saveAccount(account);
        }
        SharedPrefsUserInfo.getInstance().saveUserId(userId);
    }

}
