package com.common.app.base;

import android.support.v4.widget.SwipeRefreshLayout;

import com.common.app.R;
import com.common.app.databinding.CommonXrecyclerviewBinding;
import com.common.framework.network.parser.ModelInfo;
import com.common.framework.view.recyclerview.XRecyclerView;


/**
 * Created by chenhongfei on 2017/4/7.
 */
public abstract class BaseBindingXRecyclerViewActivity<M extends ModelInfo, D, VDB extends CommonXrecyclerviewBinding> extends BaseBindingXRecyclerViewActivityNew<M, D, VDB> {

    @Override
    protected int getContentViewId() {
        return R.layout.common_xrecyclerview;
    }

    @Override
    protected SwipeRefreshLayout getSwipeRefreshLayout() {
        return getContentViewBinding().swipeRefreshLayout;
    }

    @Override
    protected XRecyclerView getXRecyclerView() {
        return getContentViewBinding().recyclerview;
    }

}
