package com.common.app.ui.popupwindow;

import android.content.Context;
import android.view.View;
import android.widget.BaseAdapter;

import com.common.app.R;
import com.common.app.base.IPopupWindowListener;
import com.common.app.databinding.PopupWindowRecyclerViewBinding;
import com.common.app.ui.adapter.RAdapterFilter;


/**
 * Created by chenhongfei on 2017/6/15.
 */

public class PopupWindowRecyclerView extends BasePopupWindowRecyclerView<PopupWindowRecyclerViewBinding> {
    public PopupWindowRecyclerView(Context context, RAdapterFilter adapter, final IPopupWindowListener.RecyclerViewItemListener popupWindowListener) {
        super(context, adapter, popupWindowListener);
    }

    @Override
    protected void initView(View view) {
        super.initView(view);
        getContentViewBinding().trivTriangleview.setVisibility(View.GONE);
    }

    @Override
    protected int getContentViewId() {
        return R.layout.popup_window_recycler_view;
    }

    @Override
    public BaseAdapter getAdapter() {
        return null;
    }
}
