package com.common.framework.view.customview;

import android.app.Activity;
import android.app.Dialog;
import android.view.Gravity;
import android.view.Window;
import android.view.WindowManager;

public class ModelDialog extends Dialog {
	public ModelDialog(Activity activity, int layout, int style) {
		super(activity, style);
		setContentView(layout);
		Window window = getWindow();
		WindowManager.LayoutParams params = window.getAttributes();
		// float density = getDensity(context);
		// params.width = (int) (default_width * density);
		// params.height = (int) (default_height * density);
		params.width = activity.getWindowManager().getDefaultDisplay()
				.getWidth() * 3 / 4;
		; // 默认宽度
			// params.height = default_height;
		params.gravity = Gravity.CENTER;
		window.setAttributes(params);
	}

	public ModelDialog(Activity activity, int layout, int style,
			Boolean isMatchWidth) {
		super(activity, style);
		int default_width = activity.getWindowManager().getDefaultDisplay()
				.getWidth() * 5 / 6;
		if (!isMatchWidth) {
			default_width = default_width * 9 / 10;
		}
		setContentView(layout);
		Window window = getWindow();
		WindowManager.LayoutParams params = window.getAttributes();
		params.width = default_width;
		params.gravity = Gravity.CENTER;
		window.setAttributes(params);
	}

	/*
	 * private float getDensity(Context context) { Resources resources =
	 * context.getResources(); DisplayMetrics dm =
	 * resources.getDisplayMetrics(); return dm.density; }
	 */

}