package com.planet.rmu.rfid;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;

import com.common.app.base.BaseDataBindingActivity;
import com.common.app.data.sharedpreferences.SharedPrefsUserInfo;
import com.planet.rmu.rfid.databinding.ActivityWelcomeBinding;
import com.planet.rmu.rfid.ui.MainActivity;


public class WelcomeActivity extends BaseDataBindingActivity<ActivityWelcomeBinding> {
    private static String TAG = "WelcomeActivity";

    private static final int TIME = 500;
    private static final int GO_MAIN_ACTIVITY = 1001;
    private static final int GO_GUIDE_ACTIVITY = 1002;
    private String random; // 随机数


    @Override
    protected int getContentViewId() {
        return R.layout.activity_welcome;
    }

    @Override
    protected int getTopbarViewId() {
        return 0;
    }

    @Override
    protected void initParams(Bundle savedInstanceState) {
        random = String.valueOf(Random()); // 产生随机数

//        AspLog.e("jsonjson", " getAndroidId:" + AppUtil.getAndroidId(mActivity));
//        AspLog.e("jsonjson", " iMei:" + AppUtil.getDeviceId(mActivity));
    }

    @Override
    protected void initView() {

    }

    @Override
    protected void loadData() {
        initUmeng();
        mHandler.sendEmptyMessageDelayed(GO_GUIDE_ACTIVITY, TIME);
    }


    private void initUmeng() {
//        UmengAnalyse.init(this);
    }

    private Handler mHandler = new Handler() {

        @Override
        public void handleMessage(Message msg) {
            switch (msg.what) {
                //这次没有引导页
                case GO_GUIDE_ACTIVITY:
                    goMainActivity();
                    break;
                case GO_MAIN_ACTIVITY:
                    goMainActivity();
                    break;
                default:
                    break;
            }
        }
    };

    //
//    /**
//     * 新手指引
//     */
//    private void goGuideActivity() {
//        Intent guideIntent = new Intent(WelcomeActivity.this, GuidePageActivity.class);
//        startActivity(guideIntent);
//        WelcomeActivity.this.overridePendingTransition(R.anim.in_from_right, R.anim.out_to_left);
//        finish();
//    }
//
    protected void goMainActivity() {
        String regCode = SharedPrefsUserInfo.getInstance().getRegCode();
        String userId = SharedPrefsUserInfo.getInstance().getUserId();

            Intent intent = new Intent(mActivity, MainActivity.class);
            startActivity(intent);
            finish();
            overridePendingTransition(R.anim.in_from_right, R.anim.out_to_left);

    }

    /**
     * 产生随机数
     */

    private int Random() {
        return ((int) (Math.random() * 1000));
    }


}
