package com.planet.rmu.rfid.ui.base;

import android.support.v4.app.FragmentTabHost;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.common.app.base.BaseMultiFragmentActivity;
import com.planet.rmu.rfid.R;
import com.planet.rmu.rfid.databinding.ActivityTabFragmentBinding;


/**
 * Created by chenhongfei on 2017/4/26.
 */

public abstract class BaseTopMultiFragmentActivity extends BaseMultiFragmentActivity<ActivityTabFragmentBinding> {
    @Override
    protected FragmentTabHost getFragmentTabHost() {
        return getContentViewBinding().tabhost;
    }

    @Override
    protected void initView() {
        super.initView();
        showContentView();
    }

    @Override
    protected View getTabItemView(int index) {
        View view = LayoutInflater.from(this).inflate(R.layout.view_top_tab_item, null);
        TextView tvTabItem = (TextView) view.findViewById(R.id.tv_tab_item);
        ImageView ivTabItem = (ImageView) view.findViewById(R.id.iv_tab_item);
        tvTabItem.setText(mTextArray[index]);
        ivTabItem.setImageResource(mIconArray[index]);
        return view;
    }

    @Override
    protected int getContentViewId() {
        return R.layout.activity_tab_fragment;
    }

    @Override
    protected int getTopbarViewId() {
        return R.layout.view_toolbar;
    }

    @Override
    protected void loadData() {

    }
}
