package com.common.app.base;

import android.app.Dialog;
import android.view.View;
import android.widget.AdapterView;

/**
 * Created by chenhongfei on 2016/10/25.
 */
public interface IDialogListener {
    interface TwoButtonListener {
        void clickLeft(Dialog dialog);
        void clickRight(Dialog dialog);
    }

    interface ListViewItemListener {
        void onItemClick(Dialog dialog, AdapterView<?> parent, View view, int position, long id);
    }

    interface OneButtonListener {
        void onClick(Dialog dialog, String id);
    }

    interface EditTextClickListener {
        void onClickCallback(Dialog dialog, View v, String content);
    }
}
