package com.common.app.data.base;


/**
 * Created by chenhongfei on 2016/9/28.
 */
public class JsonCacheBean<T> {
    /**
     * 同时记录存储时间和过期时间，是为了方便修改存储的过期机制
     */
    public T result;// 数据内容
    public long lSaveTime;// 存储文件的当前时间
    public long lExpiredTime;// 过期的时间
    public String lVersion; // 版本号，如果升级了，不同版本号的数据，缓存将会失效

    public JsonCacheBean() {}

    public JsonCacheBean(T r, long saveTime, long expiredTime, String version) {
        this.result = r;
        this.lSaveTime = saveTime;
        this.lExpiredTime = expiredTime;
        this.lVersion = version;
    }

}
