package com.common.app.model;

import com.common.framework.network.parser.ErrorInfo;
import com.common.framework.network.parser.ModelInfo;
import com.common.framework.util.AspLog;

/**
 * Created by chenhongfei on 2016/11/29.
 */
public class ParadigmModelInfo<T> extends ModelInfo {
    /**
     * 注意:
     * <p/>
     * 父类定义的变量，如果子类重复定义，Gson解析会报错
     * <p/>
     * 如果子类实在是需要重复定义，请加关键字 transient：
     * public transient  String id;
     * public transient String jsonrpc;
     */

    public T result;

    /* TODO
    *  sub class need to override this method ...
    * */
    public boolean checkResult() {
        boolean res = false;
//        AspLog.e("jsonjson", "--------------------==============result:" + result + " code:" + this.code);
        if (this.code == 200 && this.result != null) {
            res = true;
        }

        return res;
    }

    @Override
    public ErrorInfo getErrorInfo() {
        return this;
    }

    public ParadigmModelInfo() {
        super();
    }


}
