package com.common.framework.util;

import android.app.Activity;
import android.widget.Toast;

import com.common.app.base.BaseApplication;


/**
 * Created by guqingbo on 2016-08-01.
 */
public class ToastUtil {
    public static void toast(String str) {
        Toast.makeText(BaseApplication.getInstance(), str, Toast.LENGTH_SHORT).show();
    }

    public static void toast(int id) {
        Toast.makeText(BaseApplication.getInstance(), BaseApplication.getInstance().getResources().getString(id), Toast.LENGTH_SHORT).show();
    }

    public static void toast(Activity activity, String str) {
        Toast.makeText(activity, str, Toast.LENGTH_SHORT).show();
    }

    public static void toast(Activity activity, int id) {
        Toast.makeText(activity, BaseApplication.getInstance().getResources().getString(id), Toast.LENGTH_SHORT).show();
    }
}
